Bug 688421 - Review Request: pyicu - Python extension wrapping IBM's ICU C++ libraries
Review Request: pyicu - Python extension wrapping IBM's ICU C++ libraries
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-03-16 20:25 EDT by PRABIN KUMAR DATTA
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: pyicu-1.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-26 17:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description PRABIN KUMAR DATTA 2011-03-16 20:25:07 EDT
Spec URL: http://prabindatta.fedorapeople.org/SPECS/pyicu.spec
SRPM URL: http://prabindatta.fedorapeople.org/SRPMS/pyicu-1.1-1.fc14.src.rpm
PyICu is Python extension wrapping IBM's International Components 
for Unicode C++ library (ICU). ICU is a mature, widely used set of 
C/C++ and Java libraries providing Unicode and Globalization support 
for software applications. ICU is widely portable and gives applications 
the same results on all platforms and between C/C++ and Javasoftware. 

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2918686
Comment 1 PRABIN KUMAR DATTA 2011-03-21 10:41:20 EDT
Still Need Sponsor.
Comment 2 PRABIN KUMAR DATTA 2011-04-20 15:00:57 EDT

This package is a dependency package for aardtool which I will submit for review request once this package will be submitted

List of My Packages waiting for review:
Comment 3 David Nalley 2011-05-07 22:33:40 EDT
Since this is a prereq for aardict, I figured we'd get started here given some of the issues that are being debated about now. 

Also, your above SPEC/SRPM links don't work. 

Missing a requires for gcc-c++
Project url is not pypi.python.org - a quick google shows it to be http://pyicu.osafoundation.org/ 

Why are you removing tests? Why aren't you running those tests? 

CHANGES and CREDITS should be %doc as well. 

This package has no requires - are you sure? It may not - 

[OK] MUST: rpmlint must be run on every package
[ke4qqq@nalleyx200 SPECS]$ rpmlint ./PyICU.spec ../SRPMS/PyICU-1.1-1.fc14.src.rpm ../RPMS/x86_64/PyICU-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming 
[OK] MUST: The spec file name must match the base package %{name} [...]
[      ] MUST: The package must meet the Packaging Guidelines
[OK] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[OK] MUST: The License field in the package spec file must match the 
         actual license
[OK] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[ke4qqq@nalleyx200 SOURCES]$ md5sum PyICU-1.1.tar.gz*
70cbb5b43c3e6939b74c3f1b27e47aae  PyICU-1.1.tar.gz
70cbb5b43c3e6939b74c3f1b27e47aae  PyICU-1.1.tar.gz.1

[FIX] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
See the missing buildrequire

[NA] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[FIX] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.

Missing gcc-c++

[NA] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
[NA] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK] MUST: A package must not contain any duplicate files in the %files 
[OK] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
[OK] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
[NA] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
Comment 4 PRABIN KUMAR DATTA 2011-05-08 14:56:01 EDT
> This package has no requires - are you sure? It may not - 
1. It is working fine in my case. Tested using aarddict and aardtool.
2. Used https://launchpadlibrarian.net/70790028/pyicu_1.1-1.diff.gz as a reference

* Updated rest part:

Spec file: http://prabindatta.fedorapeople.org/SPECS/PyICU.spec
SRPMS file: http://prabindatta.fedorapeople.org/SRPMS/PyICU-1.1-2.fc14.src.rpm
Comment 5 David Nalley 2011-05-08 15:34:57 EDT
OK - you fixed the remaining blockers. 


I'll sponsor you in FAS in just a few moments. Please remove FE-NEEDSPONSOR from your other packages. 

Comment 6 PRABIN KUMAR DATTA 2011-05-08 17:25:25 EDT
> OK - you fixed the remaining blockers. 
> I'll sponsor you in FAS in just a few moments.

Thank You!

> Please remove FE-NEEDSPONSOR from your other packages. 

Comment 7 PRABIN KUMAR DATTA 2011-05-10 16:10:53 EDT
New Package SCM Request
Package Name: pyicu
Short Description: Python extension wrapping IBM's ICU C++ libraries
Owners: prabindatta
Branches: f14 f15 el6
Comment 8 Jason Tibbitts 2011-05-12 12:38:11 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-05-16 11:05:18 EDT
pyicu-1.1-2.fc15 has been submitted as an update for Fedora 15.
Comment 10 Fedora Update System 2011-05-16 11:29:28 EDT
pyicu-1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
Comment 11 Fedora Update System 2011-05-16 17:04:17 EDT
pyicu-1.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2011-05-16 23:16:43 EDT
pyicu-1.1-2.fc14 has been submitted as an update for Fedora 14.
Comment 13 Fedora Update System 2011-05-26 17:48:15 EDT
pyicu-1.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2011-05-26 17:48:53 EDT
pyicu-1.1-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 15 Fedora Update System 2011-06-02 15:02:50 EDT
pyicu-1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.